package ink.wgink.module.file.pojo.dtos.filedownload;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: FileDownloadDTO
 * @Description: 文件下载
 * @Author: wanggeng
 * @Date: 2022/8/2 10:07
 * @Version: 1.0
 */
@ApiModel
public class FileDownloadDTO {

    @ApiModelProperty(name = "fileDownloadId", value = "主键")
    private String fileDownloadId;
    @ApiModelProperty(name = "fileId", value = "文件ID")
    private String fileId;
    @ApiModelProperty(name = "clientIp", value = "客户端IP")
    private String clientIp;
    @ApiModelProperty(name = "gmtCreate", value = "下载时间")
    private String gmtCreate;

    public String getFileDownloadId() {
        return fileDownloadId == null ? "" : fileDownloadId.trim();
    }

    public void setFileDownloadId(String fileDownloadId) {
        this.fileDownloadId = fileDownloadId;
    }

    public String getFileId() {
        return fileId == null ? "" : fileId.trim();
    }

    public void setFileId(String fileId) {
        this.fileId = fileId;
    }

    public String getClientIp() {
        return clientIp == null ? "" : clientIp.trim();
    }

    public void setClientIp(String clientIp) {
        this.clientIp = clientIp;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
}
